Bug 1300376 - [RFE] Events shouldn't appear with the same name in the timeline
[RFE] Events shouldn't appear with the same name in the timeline
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
x86_64 Linux
medium Severity medium
: GA
: cfme-future
Assigned To: Dan Clarizio
Dafna Ron
timeline:ui
: FutureFeature, ZStream
Depends On: 1288134 1289199 1294374 1295430
Blocks: 1346997
  Show dependency treegraph
 
Reported: 2016-01-20 10:32 EST by Dafna Ron
Modified: 2017-09-12 01:21 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1289199
: 1346997 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shots (144.60 KB, image/png)
2016-01-20 10:32 EST, Dafna Ron
no flags Details
logs and screenshot (3.81 MB, application/x-gzip)
2016-05-05 13:33 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2016-01-20 10:32:03 EST
Created attachment 1116679 [details]
screen shots

cloned since the same issue but for a different bug: 

Although no longer the provider name, the containers/pods still appear with the same name instead of having the unique name given by the system like in cli: 

jenkins-1-vacbn   0/1       Terminating   0          17m
jenkins-1-wihy5   0/1       Terminating   0          17m
jenkins-1-wqfvq   0/1       Terminating   0          17m
jenkins-1-x5u65   0/1       Terminating   0          17m
jenkins-1-xuzjc   0/1       Terminating   0          20m
jenkins-1-y1nz4   0/1       Terminating   0          17m
jenkins-1-ydcna   0/1       Terminating   0          17m

11m         11m        1         openshift-node-dafna.novalocal      Node                                                        TerminatingEvictedPod    {controllermanager }                            Node openshift-node-dafna.novalocal event: Pod jenkins-1-y1gc1 has exceeded the grace period for deletion after being evicted from Node "openshift-node-dafna.novalocal" and is being force killed

After speaking to Daniel and giving it some thought, we believe that the pods appearing with cut names is a different bug. 
This bug is verified and I will open a new bug for the cut names. 
moving to verified for cfme-5.5.2.1-1.el7cf.x86_64

================================================================================


+++ This bug was initially created as a clone of Bug #1289199 +++

+++ This bug was initially created as a clone of Bug #1288134 +++

Description of problem:

On the monitorinng ->timeline, all of the containers and pods have the name of the provider instead of their own name. 

Version-Release number of selected component (if applicable):

cfme-5.5.0.13-1.el7cf.x86_64

How reproducible:

100%

Steps to Reproduce:
1. navigate to provider -> select provider -> monitoring -> timeline 
2. navigate to pods -> select a pod -> monitoring -> timeline
3. navigate to containers -> select a container -> timeline

Actual results:

All of the objects that appear under the timeline have the same name which is the provider. 

Expected results:

we should see the object's actual name 

Additional info: logs and screenshots

--- Additional comment from Daniel Korn on 2015-12-07 08:14 EST ---



--- Additional comment from Daniel Korn on 2015-12-07 08:14 EST ---



--- Additional comment from Daniel Korn on 2015-12-07 08:15:55 EST ---

To maintain consistency with other providers, the event should display the *entity name* and not the provider or event type. see attached screenshots for infra provider.

Though it makes sense to show the event type when the event is directly related to the entity you look at (for example CONTAINER_STARTED when you look at a container), IMHO it is not the right choice when the event is related to an inner entity (container when you look at the pod's timeline).

--- Additional comment from Daniel Korn on 2015-12-07 10:53:00 EST ---

proposed fix: https://github.com/ManageIQ/manageiq/pull/5731

--- Additional comment from Red Hat Bugzilla Rules Engine on 2015-12-07 11:22:07 EST ---

Since this issue was entered in bugzilla, the release flag has been set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Daniel Korn on 2015-12-10 10:48:53 EST ---

downstream MR: http://gitlab.cloudforms.lab.eng.rdu2.redhat.com/cloudforms/cfme/merge_requests/608

--- Additional comment from errata-xmlrpc on 2016-01-14 15:24:02 EST ---

Bug report changed to ON_QA status by Errata System.
A QE request has been submitted for advisory RHBA-2015:22135-02
https://errata.devel.redhat.com/advisory/22135

--- Additional comment from Dafna Ron on 2016-01-19 09:08:56 EST ---

Although no longer the provider name, the containers/pods still appear with the same name instead of having the unique name given by the system like in cli: 

jenkins-1-vacbn   0/1       Terminating   0          17m
jenkins-1-wihy5   0/1       Terminating   0          17m
jenkins-1-wqfvq   0/1       Terminating   0          17m
jenkins-1-x5u65   0/1       Terminating   0          17m
jenkins-1-xuzjc   0/1       Terminating   0          20m
jenkins-1-y1nz4   0/1       Terminating   0          17m
jenkins-1-ydcna   0/1       Terminating   0          17m

11m         11m        1         openshift-node-dafna.novalocal      Node                                                        TerminatingEvictedPod    {controllermanager }                            Node openshift-node-dafna.novalocal event: Pod jenkins-1-y1gc1 has exceeded the grace period for deletion after being evicted from Node "openshift-node-dafna.novalocal" and is being force killed

will attach the screen shot

--- Additional comment from Dafna Ron on 2016-01-19 09:09 EST ---



--- Additional comment from Dafna Ron on 2016-01-20 10:25:26 EST ---

After speaking to Daniel and giving it some thought, we believe that the pods appearing with cut names is a different bug. 
This bug is verified and I will open a new bug for the cut names. 
moving to verified for cfme-5.5.2.1-1.el7cf.x86_64
Comment 1 Federico Simoncelli 2016-01-20 11:18:07 EST
Daniel the cut of the names is something specific to containers or is it a generic timeline issue?
Comment 2 Federico Simoncelli 2016-04-26 15:11:10 EDT
https://github.com/ManageIQ/manageiq/pull/5731
Comment 3 Dafna Ron 2016-05-05 13:32:36 EDT
for the provider view there are two issues: 
1. not all objects are pods and you do not know what the object is
2. all of the names are cut

see screen shot


for the pods: 
they all appear in the same name so the UUID of the pods is not shown as it does when you run oc get pods: 
NAME              READY     STATUS    RESTARTS   AGE
jenkins-1-0vmv0   1/1       Running   30         2h
jenkins-1-2e5b3   1/1       Running   37         2h
jenkins-1-9vvva   1/1       Running   49         2h
jenkins-1-b37gw   1/1       Running   16         2h
jenkins-1-cnor8   1/1       Running   49         2h
jenkins-1-f3dt2   1/1       Running   45         2h
jenkins-1-fv6v3   1/1       Running   25         2h
jenkins-1-mj1d7   1/1       Running   33         2h
jenkins-1-sxsim   1/1       Running   3          3h
jenkins-1-wn2d7   1/1       Running   23         2h
router-1-5dqt3    1/1       Running   4          4h

See screen shot for comparison 

3. for containers - they are still appearing with the same name as well although they do not show in that way when we run docker ps 

[root@dafna-openshift-master01 ~]# docker ps
CONTAINER ID        IMAGE                                                          COMMAND                  CREATED             STATUS              PORTS               NAMES
eb47cdc40572        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   56 minutes ago      Up 56 minutes                           k8s_jenkins.c7abe241_jenkins-1-cnor8_default_b36b3a1b-12d3-11e6-b635-001a4a169777_ae4969e6
69585f2921ea        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   57 minutes ago      Up 57 minutes                           k8s_jenkins.c7abe241_jenkins-1-9vvva_default_b36ca505-12d3-11e6-b635-001a4a169777_4f7b51e1
c452bd506043        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   About an hour ago   Up About an hour                        k8s_jenkins.c7abe241_jenkins-1-f3dt2_default_b366a5f5-12d3-11e6-b635-001a4a169777_58ad15ae
b0ee4eb040ea        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   About an hour ago   Up About an hour                        k8s_jenkins.c7abe241_jenkins-1-2e5b3_default_b35367b6-12d3-11e6-b635-001a4a169777_7efa9515
e860c7c630d4        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   About an hour ago   Up About an hour                        k8s_jenkins.c7abe241_jenkins-1-fv6v3_default_b3947a1f-12d3-11e6-b635-001a4a169777_e0ef8865
e2b8a0a6f52e        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   About an hour ago   Up About an hour                        k8s_jenkins.c7abe241_jenkins-1-mj1d7_default_b3769ffc-12d3-11e6-b635-001a4a169777_12387023
4928f00b3bf9        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   About an hour ago   Up About an hour                        k8s_jenkins.c7abe241_jenkins-1-wn2d7_default_b3934b2c-12d3-11e6-b635-001a4a169777_b94bb8f2
8db9ca5d6bfa        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   About an hour ago   Up About an hour                        k8s_jenkins.c7abe241_jenkins-1-0vmv0_default_b395e731-12d3-11e6-b635-001a4a169777_35b20bae
7e10a8dae8e2        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   About an hour ago   Up About an hour                        k8s_jenkins.c7abe241_jenkins-1-sxsim_default_bac89a23-12c9-11e6-b635-001a4a169777_863937a9
8d3434a0d6d9        registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest   "/usr/libexec/s2i/run"   About an hour ago   Up About an hour                        k8s_jenkins.c7abe241_jenkins-1-b37gw_default_b31bfc7c-12d3-11e6-b635-001a4a169777_b1e31834
2cc1ac237850        openshift3/ose-haproxy-router:v3.1.1.6                         "/usr/bin/openshift-r"   About an hour ago   Up About an hour                        k8s_router.ca73e799_router-1-5dqt3_default_ceb5c3b1-12c3-11e6-8b67-001a4a169777_3e901c38
001867477d8d        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-0vmv0_default_b395e731-12d3-11e6-b635-001a4a169777_b16fb7a5
fadbcb4333f8        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-wn2d7_default_b3934b2c-12d3-11e6-b635-001a4a169777_e2f7b291
aa1015e3efc4        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-9vvva_default_b36ca505-12d3-11e6-b635-001a4a169777_71a12058
10d7a126c0c1        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-mj1d7_default_b3769ffc-12d3-11e6-b635-001a4a169777_a1295d6b
0a5c4536d9e9        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-cnor8_default_b36b3a1b-12d3-11e6-b635-001a4a169777_8dacaf4e
f2a7ad1f3ef5        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-fv6v3_default_b3947a1f-12d3-11e6-b635-001a4a169777_6cd74645
95a476ac6a9d        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-2e5b3_default_b35367b6-12d3-11e6-b635-001a4a169777_7b07dead
a689a2e1c13b        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-f3dt2_default_b366a5f5-12d3-11e6-b635-001a4a169777_3d7ba90c
d6efc228d382        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_router-1-5dqt3_default_ceb5c3b1-12c3-11e6-8b67-001a4a169777_bfc19944
ec84cac682a6        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-b37gw_default_b31bfc7c-12d3-11e6-b635-001a4a169777_c092a4fc
b43ebf9289d8        openshift3/ose-pod:v3.1.1.6                                    "/pod"                   About an hour ago   Up About an hour                        k8s_POD.e071dbf6_jenkins-1-sxsim_default_bac89a23-12c9-11e6-b635-001a4a169777_e17ec25a

see screen shot of timeline, 

This issue btw, is also showing in the container main screen where all containers are listed in the same name (diff bug will be opened)

I cannot verify this bz...
Comment 4 Dafna Ron 2016-05-05 13:33 EDT
Created attachment 1154328 [details]
logs and screenshot
Comment 5 Federico Simoncelli 2016-05-06 10:45:43 EDT
(In reply to Dafna Ron from comment #3)
> for the provider view there are two issues: 
> 1. not all objects are pods and you do not know what the object is
> 2. all of the names are cut


All the required information are in the balloon when you click on the event.

Augmenting the information that you see at first glance will reduce the number of items and scalability of the timeline UI.

Also, showing just UUIDs (e.g. b36b3a1b-12d3-11e6-b635-001a4a169777) is much less descriptive than a name "jenkins".
Comment 6 Dafna Ron 2016-05-09 11:02:23 EDT
if you look at the screen shot, the names are cut. 

I agree that you need an actual name. but the actual name in openshift is jenkins-<id> for example: Jenkins-JK7BT and not just Jenkins. 

Going through every event when you are looking for something specific by opening each event is not really user friendly. 

I suggest that we need two type of visual filtering on the timeline:
1. type of object (perhaps different colour for different object)
2. the name as seen in openshift (i.e name + partial id)
Comment 7 Federico Simoncelli 2016-05-10 05:30:52 EDT
(In reply to Dafna Ron from comment #6)
> if you look at the screen shot, the names are cut. 
> 
> I agree that you need an actual name. but the actual name in openshift is
> jenkins-<id> for example: Jenkins-JK7BT and not just Jenkins. 

But those are the names of the Pod not of the Container which raised the event.

> 2. the name as seen in openshift (i.e name + partial id)

That's not name + partial id, it's the Pod name.


Basically what you're suggesting is to display the name of the Pod even though the event is connected to a Container.

Note You need to log in before you can comment on or make changes to this bug.